# junwraprem

Convert a Java object into a Scilab native type and remove it from the Java side

## Calling Sequence

                [var_1, var_2, ...] = junwraprem(obj_1 [, obj_2 [, ...]])

## Parameters

obj_i

  A mlist typed _JObj

var_i

  Scilab variable

## Description

Convert a native Java object in a Scilab's one and remove it from Java.

## Examples

                   jautoUnwrap(%f);
                   jimport java.lang.String;

                   s = String.new("Hello JIMS !!");
                   s1 = s.toUpperCase();
                   s2 = s.toLowerCase();
                   [S1 S2] = junwraprem(s1, s2)

                   jremove s
                   jautoUnwrap(%t);

## See Also

- junwrap
- jwrap

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.